package org.n52.security.common.util;

import java.util.TimerTask;

/**
 * Wraps a Runnable to be a TimerTask.
 */
public class TimerTaskRunnableAdapter extends TimerTask {

    private Runnable m_runnable;

    public TimerTaskRunnableAdapter(Runnable runnable) {
        if (runnable == null) {
            throw new IllegalArgumentException("<runnable> must not null!");
        }
        m_runnable = runnable;
    }

    @Override
    public void run() {
        m_runnable.run();
    }

    @Override
    public String toString() {
        return "TimerTaskRunnableAdapter [runnable=" + m_runnable + "]";
    }

}
